import { isFunction as e, isArray as i } from "lodash-unified";
function u(r) {
  if (!r || !e(r))
    return;
  const t = r();
  return i(t) ? n(t)[0] : t;
}
function n(r) {
  return (r || []).filter((t) => t.type !== /* @__PURE__ */ Symbol.for("v-cmt"));
}
export {
  u as getSingleVNode,
  n as getValidVNodeList
};
